diff --git a/src/freedombone-app-peertube b/src/freedombone-app-peertube
index 58936a82dfeca034f6dc5d381544169a2a475d80..4919722b0dd872a4cb07db3d7e16b42cecdcf3e3 100755
--- a/src/freedombone-app-peertube
+++ b/src/freedombone-app-peertube
@@ -641,23 +641,27 @@ function mesh_install_peertube {
 #!/bin/bash
 cd $PEERTUBE_DIR
 npm install --arch=$NPM_ARCH -g yarn
-if [ ! "$?" = "0" ]; then
+if [ ! "\$?" = "0" ]; then
     echo $'PeerTube Failed to install yarn'
     exit 79353234
 fi
-yarn add -D webpack --network-concurrency 1
+yarn add -D webpack
+if [ ! "\$?" = "0" ]; then
+    echo $'PeerTube failed to add webpack'
+    exit 67342823
+fi
 yarn install --ignore-optional
-if [ ! "$?" = "0" ]; then
+if [ ! "\$?" = "0" ]; then
     echo $'PeerTube failed to run yarn install'
     exit 63754235
 fi
 npm install --arch=$NPM_ARCH --no-optional
-if [ ! "$?" = "0" ]; then
+if [ ! "\$?" = "0" ]; then
     echo $'PeerTube failed to install peertube'
     exit 7835243
 fi
 npm run build --arch=$NPM_ARCH --no-optional
-if [ ! "$?" = "0" ]; then
+if [ ! "\$?" = "0" ]; then
     echo $'PeerTube failed to build peertube'
     exit 5293593
 fi